      PROGRAM FLUXREAD
      DIMENSION WAVE(342),HNU(342),CONT(342)
      DIMENSION C(20)
C
C	Fluxes and Blocking Fractions (table 6)
C
      DO 2 I=1,6
      READ(5,1)C
    1 FORMAT(20A4)
    2 PRINT 1,C
      READ(5,3)WAVE
    3 FORMAT(8F10.1)
      PRINT 3,WAVE
      DO 6 MODEL=1,1200
      READ(5,4)TEFF,GRAV,ABUND
    4 FORMAT(F7.0,F6.2,F6.2)
      PRINT 103,MODEL,TEFF,GRAV,ABUND
   11 FORMAT(I5,F7.0,F6.2,F6.2)
      READ(5,5)HNU,CONT
    5 FORMAT(7E11.4)
      print 104
  103 format(' Model',I5,': Teff=',F7.0,' grav=',F6.2,' Abun=',F6.2)
  104 format('   lambda   logFlux    BF')
      do 100 i=1,342
      if (HNU(i) .eq. 0.0) goto 100
      f1 = alog10(1.19917E18*HNU(i)/WAVE(i)**2)
      f2 = 1.-HNU(i)/CONT(i)
      print 101,WAVE(i), f1,f2
  101 format(F9.1,F10.5,F6.3)
  100 continue
    6 CONTINUE
C
C     MODELS (table4)
C     The parameters are Mass, T, P, Ne, kappa(Ross), RadiativeAcceleration
C
      DO 13 MODEL=1,1200
      READ(5,1)C
      PRINT 9,MODEL,C
    9 FORMAT(I5,20A4)
      NUM=45
      IF(MODEL.GT.609) NUM=69
      DO 12 I=2,NUM
      READ(5,1)C
      print 1,C
   12 CONTINUE
   13 CONTINUE
      STOP
      END
